%global commit e73024063fd6c9cb73a325b92f316ee6fbfd0e56
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		captcp
Version:	1.7
Release:	4%{?dist}
Summary:	TCP Analyzer for PCAP Files
License:	GPLv3 and MIT
URL:		http://research.protocollabs.com/captcp/
Source0:	https://github.com/hgn/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Source1:	captcp.8
Patch0:		add-mit-license-raphael-js.patch
Patch1:		fix-install.patch
Patch2:		correct-python-path.patch
Patch3:		0001-test-of-length-of-pkt-needs-to-be-not-equal-length-s.patch

BuildArch:	noarch
BuildRequires:	python2-devel
Requires:	gnuplot
Requires:	numpy
Requires:	python-dpkt
Requires:	systemtap

%description
Captcp is a free and open source program for TCP analysis of PCAP files. 
Normally recorded via Tcpdump or Wireshark. Captcp is an attempt to rewrite 
and bundle all common TCP analysis tools in one easy to use program:
providing a clean and consistent command line syntax. 
Captcp is written in Python and easy extendable. Captcp is not a substitute 
for Tcpdump or Wireshark - it complements these tools instead.

%prep
%setup -qn %{name}-%{commit}
%patch0 -p1
%patch1 -p1 -b .make
%patch2 -p1 -b .python
%patch3 -p1 -b .pktlen

%build

%install
%make_install
install -m 644 -D %{SOURCE1} %{buildroot}%{_mandir}/man8/captcp.8

%files
%doc Documentation/* LICENSE CREDITS TODO MIT-LICENSE
%{_datadir}/captcp/
%{_mandir}/man8/captcp.8*
%{_bindir}/captcp

%changelog
* Sat Aug 23 2014 Michele Baldessari <michele@acksyn.org> - 1.7-4
- Add "1e4d21e41348": test of length of pkt needs to be < not <=, equal
  length should be allowed

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 09 2013 Michele Baldessari <michele@acksyn.org> - 1.7-2
- Make GPLv3 explicit in the License tag and remove GPLv2+ as
  upstream chose GPLv3 for the .stp file
- Remove bash script and install captcp directly in /usr/bin
- Set the python interpreter to /usr/bin/python

* Sat Nov 16 2013 Michele Baldessari <michele@acksyn.org> - 1.7-1
- New upstream (1.7+commits to e73024063f to have properly licenses images)
- Add MIT License for raphael-js as found on http://raphaeljs.com/license.html

* Sun Nov 10 2013 Michele Baldessari <michele@acksyn.org> - 1.6-5
- Various code fixes and cleanups
- Simplify files section with a Makefile patch

* Fri Nov 08 2013 Michele Baldessari <michele@acksyn.org> - 1.6-4
- Removed git-core to keep things simple
- Fixed sockstatistic when used with later versions of ss (as in F20)
- Added more exact output for sockstatistic

* Sun Nov 03 2013 Michele Baldessari <michele@acksyn.org> - 1.6-3
- Added git-core as BR

* Sat Nov 02 2013 Michele Baldessari <michele@acksyn.org> - 1.6-2
- Fixed hardcoded dirs and use macros instead
- Added texlive-epstopdf-bin in Requires as socketstatistic requires it
- Added a patch to correct some help messages

* Fri Nov  1 2013 Michele Baldessari <michele@acksyn.org> - 1.6-1
- Initial package
